Subject: Re: [PATCH] PPC: Skip over OF_DT_NOP when unflattening the device tree

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 19 Mar 2010 00:06:21 -0600

On Fri, Mar 19, 2010 at 04:50:38PM +1100, Benjamin Herrenschmidt wrote:
> On Tue, 2010-03-09 at 12:30 -0700, Jason Gunthorpe wrote:
> > NOPs within the property section are skipped, but NOPs between
> > OF_DT_END_NODE and OF_DT_BEGIN_NODE were not. My firmware NOPs out
> > entire nodes depending on various environment parameters.
> > 
> > of_scan_flat_dt already handles NOP more generally..
> 
> Good catch, though that code has now moved over to drivers/of
> and is a bit different. Grant is going to fix it up though.

Ah, I based the patch off 2.6.33.. 

Grant: let me know if you need some help/testing, nice to run into you
again.

Jason